> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# create via scan

> create a code version via explorer scan, which will scan all whitelisted networks if a network is not passed



## OpenAPI

````yaml /api-reference/graph.json post /graph/versions/scan
openapi: 3.1.2
info:
  title: Bevor Graph API
  version: 1.0.0
servers: []
security: []
tags:
  - name: code
    description: Code versions and their files.
  - name: graph
    description: 'Graph structure of a code version: nodes, edges, and call chains.'
  - name: chat
    description: Chat threads and messages scoped to code versions.
paths:
  /graph/versions/scan:
    post:
      tags:
        - code
      summary: create via scan
      description: >-
        create a code version via explorer scan, which will scan all whitelisted
        networks if a network is not passed
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                project_id:
                  title: Project Id
                  type: string
                network:
                  enum:
                    - eth
                    - bsc
                    - polygon
                    - base
                    - avax
                    - mode
                    - arb
                    - eth_sepolia
                    - bsc_test
                    - polygon_amoy
                    - base_sepolia
                    - avax_fuji
                    - mode_testnet
                    - arb_sepolia
                  type: string
                  nullable: true
                  description: Network the contract is deployed on
                address:
                  description: Contract address if source_type is SCAN
                  title: Address
                  type: string
              required:
                - project_id
                - address
              title: ContractScanBody
              type: object
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  status:
                    enum:
                      - waiting
                      - processing
                      - failed
                      - success
                    title: Status
                    type: string
                  version_fingerprint:
                    title: Version Fingerprint
                    type: string
                required:
                  - id
                  - status
                  - version_fingerprint
                title: CreateCodeMappingResponse
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - auth.team_required
            - auth.invalid_permissions
            - error.not_found
            - error.invalid_scope
            - error.limit
            - error.entity_deleted
            - error.invalid_state
            - error.conflict
            - error.integrity
            - error.database
            - error.validation
            - error.server
            - analysis.entrypoint_failure
            - code.unsupported
            - code.node_invalid
            - code.conflict
            - app.rate_limit
            - payment.error
            - payment.failed
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````